Package com.ngrok.definitions

# Class EventDestination

java.lang.Object
com.ngrok.definitions.EventDestination

public class EventDestination extends Object
A class encapsulating the `EventDestination` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventDestination(String id, String metadata, OffsetDateTime createdAt, String description, String format, EventTarget target, URI uri)`
  Creates a new instance of `EventDestination`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp when the Event Destination was created, RFC 3339 format.
  `String`
  `getDescription()`
  Human-readable description of the Event Destination.
  `String`
  `getFormat()`
  The output format you would like to serialize events into when sending to their target.
  `String`
  `getId()`
  Unique identifier for this Event Destination.
  `String`
  `getMetadata()`
  Arbitrary user-defined machine-readable data of this Event Destination.
  `EventTarget`
  `getTarget()`
  An object that encapsulates where and how to send your events.
  `URI`
  `getUri()`
  URI of the Event Destination API resource.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventDestination

    public EventDestination(String id, String metadata, OffsetDateTime createdAt, String description, String format, EventTarget target, URI uri)
    Creates a new instance of `EventDestination`.
    Parameters:
      `id` - Unique identifier for this Event Destination.
      `metadata` - Arbitrary user-defined machine-readable data of this Event Destination. Optional, max 4096 bytes.
      `createdAt` - Timestamp when the Event Destination was created, RFC 3339 format.
      `description` - Human-readable description of the Event Destination. Optional, max 255 bytes.
      `format` - The output format you would like to serialize events into when sending to their target. Currently the only accepted value is `JSON`.
      `target` - An object that encapsulates where and how to send your events. An event destination must contain exactly one of the following objects, leaving the rest null: `kinesis`, `firehose`, `cloudwatch_logs`, or `s3`.
      `uri` - URI of the Event Destination API resource.

- ## Method Details

  - ### getId

    public String getId()
    Unique identifier for this Event Destination.
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    Arbitrary user-defined machine-readable data of this Event Destination. Optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    Timestamp when the Event Destination was created, RFC 3339 format.
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getDescription

    public String getDescription()
    Human-readable description of the Event Destination. Optional, max 255 bytes.
    Returns:
      the value of the property as a `String`

  - ### getFormat

    public String getFormat()
    The output format you would like to serialize events into when sending to their target. Currently the only accepted value is `JSON`.
    Returns:
      the value of the property as a `String`

  - ### getTarget

    public EventTarget getTarget()
    An object that encapsulates where and how to send your events. An event destination must contain exactly one of the following objects, leaving the rest null: `kinesis`, `firehose`, `cloudwatch_logs`, or `s3`.
    Returns:
      the value of the property as a `EventTarget`

  - ### getUri

    public URI getUri()
    URI of the Event Destination API resource.
    Returns:
      the value of the property as a `URI`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`